#ifndef __ULISP_DEFS_H__
#define __ULISP_DEFS_H__

#define SYM_START  '('
#define SYM_END    ')'

#define SYM_CONST1 'c'
#define SYM_CONST2 'g' // 2 byte
#define SYM_CONST3 't' // 3 byte
#define SYM_CONST4 'q' // 4 byte
#define SYM_DELAY  'd'
#define SYM_STOP   'x'
#define SYM_SETQ   's'
#define SYM_EQ     '='
#define SYM_NEQ    '#'
#define SYM_ADD    '+'
#define SYM_MUL    '*'
#define SYM_DIV    '/'
#define SYM_SUB    '-'
#define SYM_AND    '&'
#define SYM_OR     '|'
#define SYM_XOR    '^'
#define SYM_WHILE  'w'
#define SYM_IF     'i'
#define SYM_MORE   '>'
#define SYM_LESS   '<'
#define SYM_NOP     0

#define SYM_EOF    'e'
#define SYM_PRINT  'p'
#define SYM_0      '0'
#define SYM_1      '1'
#define SYM_2      '2'
#define SYM_3      '3'
#define SYM_4      '4'
#define SYM_5      '5'
#define SYM_6      '6'
#define SYM_7      '7'
#define SYM_8      '8'
#define SYM_9      '9'

// INPUTS:
#define SYM_A      'A'
#define SYM_B      'B'
#define SYM_C      'C'
#define SYM_D      'D'

// OUTPUTS:
#define SYM_X      'X'
#define SYM_Y      'Y'
#define SYM_Z      'Z'

// VARIABLES:
#define SYM_I      'I'
#define SYM_J      'J'
#define SYM_K      'K'

#endif //__ULISP_DEFS_H__
